bwi firmware won't build on ppc64 port of FreeBSD 12.0 on iMac G5

KrispyKremeMcDonald

New Member


Messages: 2

As the title says, the port doesn't seem to work on ppc64. I tried installing the 32 bit version, where the I *can* install the port for the firmware for the airport extreme wifi card, but sadly there are no binary packages available for ppc32 so I have to install everything from ports which 1. takes absolute ages and 2. more often than not yields an intractable error message.

Now my idea was to install the firmware scraper on my ppc32 installation and then copy the firmware over. Would this work? How would I go about doing this? Where does bwi-firmware-kmod place its firmware?
 

Phishfry

Son of Beastie

Reaction score: 1,302
Messages: 3,813

my idea was to install the firmware scraper on my ppc32 installation and then copy the firmware over. Would this work?
I doubt it would work though as this would have to be same arch. 32 bit code versus 64 bit would have differences.
You are going to have to build natively or cross-compile on another machine. Copy over the *.ko module. Only one file.
 
OP
OP
KrispyKremeMcDonald

KrispyKremeMcDonald

New Member


Messages: 2

>You are going to have to build natively or cross-compile on another machine. Copy over the *.ko module. Only one file.

The problem is that make install yields this error:



root@bsdmac:/usr/ports/net/bwi-firmware-kmod # make install
===> bwi-firmware-kmod-3.130.20 is only for amd64 i386 powerpc, while you
are running powerpc64 (reason: hardware particular to PCI/CardBus).
*** Error code 1

Stop.
make: stopped in /usr/ports/net/bwi-firmware-kmod

---

What can I do here?
 

Phishfry

Son of Beastie

Reaction score: 1,302
Messages: 3,813

I am not a coder but I guess you would need to port the code to ppc64. What that entails is beyond me.
 
Top